view scripts/config-headers.sh @ 702:9394305d4ff5 default tip

etm_audio.c: fix off-by-one error in auw of FIR coefficients This fix was already made in FC Tourmaline a while back, but it is also the kind of bugfix that deserves to be backported to Magnetite and Selenite as well.
author Mychaela Falconia <falcon@freecalypso.org>
date Mon, 31 Oct 2022 00:14:44 +0000
parents 92dbfa906f66
children
line wrap: on
line source

#!/bin/sh

if [ $# != 2 ]
then
	echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

rm -rf $BUILD_DIR/config
cp -r cfg-headers/base $BUILD_DIR/config
cp cfg-headers/$1/* $BUILD_DIR/config
cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h